#
# spec file for package pidgin-birthday-reminder
#
# Copyright (c) 2011 Christoph Miebach <christoph.miebach@web.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.



Name:           pidgin-birthday-reminder
Version:        1.7
Release:        13.2
License:        GPL-2.0+
Summary:        Pidgin plugin to remind you of the birthdays of your buddies
Url:            https://launchpad.net/pidgin-birthday-reminder
Group:          Productivity/Networking/Instant Messenger
Source:         http://launchpad.net/pidgin-birthday-reminder/trunk/1.7/+download/%{name}-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  pkgconfig(pidgin) >= 2.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pidgin Birthday Reminder reminds you of your buddies birthdays.
Birthdays can be set by hand or be automatically filled-in for ICQ,
MSN and XMPP protocols.

%package -n pidgin-plugin-birthday-reminder
License:        GPL-2.0+
Summary:        Pidgin plugin to remind you of the birthdays of your buddies
Group:          Productivity/Networking/Instant Messenger
Requires:       pidgin
Recommends:     %{name}-lang
# Nice to have since it's not the upstream name, but also required to make lang package installable
Provides:       %{name} = %{version}

%description -n pidgin-plugin-birthday-reminder
Pidgin Birthday Reminder reminds you of your buddies birthdays.
Birthdays can be set by hand or be automatically filled-in for ICQ,
MSN and XMPP protocols.

%lang_package
%prep
%setup -q

%build
%configure --with-pic --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}

%files -n pidgin-plugin-birthday-reminder
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/sounds/pidgin/
%{_datadir}/pixmaps/pidgin/birthday_reminder/
%{_datadir}/sounds/pidgin/birthday_reminder/
%{_libdir}/pidgin/birthday_reminder.so

%files lang -f %{name}.lang

%changelog
* Fri Jan 13 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SDPDX format
* Tue Sep 27 2011 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Fri Sep  2 2011 christoph.miebach@web.de
- New package (version 1.7).
